Bug Hunting Session
Bug 80692 - Extensionname: Zotero plugin inresponsive after Java update
Summary: Extensionname: Zotero plugin inresponsive after Java update
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Extensions (show other bugs)
Version:
(earliest affected)
4.1.6.2 release
Hardware: Other Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA needsZotero
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-29 20:50 UTC by srwennekes
Modified: 2015-09-05 07:14 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description srwennekes 2014-06-29 20:50:22 UTC
Problem description: 

Environment:

Win 8.1
Libre Office 4.2.5.2
Zotero StandAlone 4.0.21.2
JRE 1.7.0_51 (32bits) in Program Files (x86)
JRE 1.7.0_60 (64bits) in Program Files

LO is configured to use JRE 1.7.0_60 following this information: https://bugs.freedesktop.org/show_bug.cgi?id=50371#c15 

Issue:
Plugin installed without any problems, toolbar appears but is not reacting.

Troubleshooting:
Customised LO to assign a key shortcut of CTRL+F5 to the macro ZoteroAddCitation

When activated using the shortcut I'm getting a popup with the following error:

BASIC runtime error.
An exception occurred
Type: com.sun.star.uno.RuntimeException
Message: [jni_uno bridge error] UNO calling Java method trigger: non-UNO exception occurred: java.lang.NoClassDefFoundError: Could not initialize class org.zotero.integration.ooo.comp.ZoteroOpenOfficeIntegrationImpl$CLibrary
java stack trace:
java.lang.NoClassDefFoundError: Could not initialize class org.zotero.integration.ooo.comp.ZoteroOpenOfficeIntegrationImpl$CLibrary
at org.zotero.integration.ooo.comp.ZoteroOpenOfficeIntegrationImpl.trigger(ZoteroOpenOfficeIntegrationImpl.java:92)

Operating System: Windows 8
Version: 4.1.6.2 release
Comment 1 srwennekes 2014-06-29 20:52:43 UTC
the 32 bits version of Java is also 1.7.0.60, forgot to correct that
Comment 2 Robinson Tryon (qubit) 2015-01-28 05:28:09 UTC
(In reply to srwennekes from comment #1)
> the 32 bits version of Java is also 1.7.0.60, forgot to correct that

Hi srwennekes,

How's Zotero looking for you now? Usually for extensions, it's best to check with the extension author to see if it's something that can confirm and verify isn't a bug in the extension.

Please test again with the latest Zotero and LibreOffice builds, and verify that the problem is still present:
https://www.libreoffice.org/download/

Status -> NEEDINFO

(If you can reproduce the problem with new builds, please change status back to UNCONFIRMED. Thanks!)
Comment 3 QA Administrators 2015-09-04 02:55:41 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

This NEEDINFO message was generated on: 2015-09-03
Comment 4 srwennekes 2015-09-04 09:44:46 UTC
I didn't get to troublehooting the bug, I dug up the money to buy an Office licence in which Zotero runs as a treat as I really had to go on with my work for the Uni.  

This morning I've upgraded Libre office and Zotero to the latest versions. Also updated JRE to the latest versions. Tested it and everything seem to work ok now. 

Propose to close
Comment 5 srwennekes 2015-09-04 09:45:07 UTC
I didn't get to troublehooting the bug, I dug up the money to buy an Office licence in which Zotero runs as a treat as I really had to go on with my work for the Uni.  

This morning I've upgraded Libre office and Zotero to the latest versions. Also updated JRE to the latest versions. Tested it and everything seem to work ok now. 

Propose to close
Comment 6 steve -_- 2015-09-05 07:14:02 UTC
Thanks a lot for the feedback and helping to test this. Good news this is now working.

Since we do not have a commit fixing this, correct state is worksforme. Adjusted.